tm_gallery:
  label: TM Gallery
  namespace: Organisms/TM - Gallery
  use: '@organisms/tm-gallery/tm-gallery.twig'
  description: Responsive Gallery using Bootstrap
  dependencies:
    - bs_carousel
  libraries:
    - tm_gallery_lib:
        css:
          component:
            ../styles/tm-gallery.css: {weight: 10}
        js:
          ../behaviors/tm-gallery.js: {}

  fields:
    gid:
      type: text
      label: Gallery ID
      preview: abc
      default_value: jcguid

    images:
      type: object
      label: Images (data)
      preview:
        - main: https://picsum.photos/700/400?rnd=1
          thumb: https://picsum.photos/700/400?rnd=1
          caption: Lorem ipsum dolor sit amet, consectetur adipiscing elit.
        - main: https://picsum.photos/600/400?rnd=2
          thumb: https://picsum.photos/600/400?rnd=2
          caption: Pellentesque viverra nisi id mi bibendum sollicitudin
        - main: https://picsum.photos/700/400?rnd=3
          thumb: https://picsum.photos/700/400?rnd=3
          caption: Vivamus posuere turpis quis cursus ultrices. Curabitur gravida
            pharetra tempus
        - main: https://picsum.photos/400/600?rnd=4
          thumb: https://picsum.photos/400/600?rnd=4
          caption: ' Etiam ac feugiat eros. Donec a ipsum quis enim'
        - main: https://picsum.photos/500/500?rnd=5
          thumb: https://picsum.photos/500/500?rnd=5
          caption: pellentesque blandit. Curabitur convallis tortor odio, nec vestibulum
            dui
        - main: https://picsum.photos/700/900?rnd=6
          thumb: https://picsum.photos/700/900?rnd=6
          caption: 'condimentum in. Curabitur eros lectus, hendrerit ac turpis nec, '
        - main: https://picsum.photos/1200/400?rnd=7
          thumb: https://picsum.photos/1200/400?rnd=7
          caption: 'ultrices auctor purus. Morbi volutpat varius sagittis. Vestibulum
            eget ornare ipsum. '

    preview_image_url:
      type: object
      label: Preview images array (URL and Alt)

  settings:

    gallery_classes:
      type: textfield
      label: Gallery classes

    auto_start:
      type: boolean
      label: Auto start
      preview: true
      default_value: true

    use_preview:
      type: boolean
      label: Use preview
      preview: false
      default_value: false

    preview_count:
      type: number
      label: Preview count
      preview: 1
      default_value: 1

    expand_icon:
      type: textfield
      label: Close icon

    hide_icon:
      type: textfield
      label: Close icon

    hide_preview_text:
      type: boolean
      label: Hide preview text
      preview: false
      default_value: false

    hide_thumbs:
      type: boolean
      label: Hide thumbs
      preview: false
      default_value: false

    hide_captions:
      type: boolean
      label: Hide Caption
      preview: false
      default_value: false

    hide_nav:
      type: boolean
      label: Hide nav
      preview: false
      default_value: false

    hide_fullscreen:
      type: boolean
      label: Hide nav
      preview: false
      default_value: false

